Graph API Version

Whats App Business Account Pricing Analytics

Reading

WhatsAppBusinessAccountPricingAnalytics

Example

Graph API Explorer
GET /v25.0/{whats-app-business-account-id}/pricing_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/pricing_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/pricing_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/pricing_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/pricing_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
If you want to learn how to use the Graph API, read our Using Graph API guide.

Parameters

ParameterDescription
country_codes
array<string>
Default value: []

country_codes

dimensions
array<enum {PHONE, COUNTRY, PRICING_TYPE, PRICING_CATEGORY, TIER}>
Default value: []

dimensions

end
int64

end

Required
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

granularity

Required
metric_types
array<enum {VOLUME, COST}>
Default value: []

metric_types

phone_numbers
array<string>
Default value: []

phone_numbers

pricing_categories
array<enum {MARKETING, UTILITY, AUTHENTICATION, SERVICE, AUTHENTICATION_INTERNATIONAL, GROUP_MARKETING, GROUP_UTILITY, GROUP_SERVICE, MARKETING_LITE, MARKETING_LITE_DYNAMIC, GROUP_MARKETING_LITE, AI_BOT}>
Default value: []

pricing_categories

pricing_types
array<enum {REGULAR, FREE_ENTRY_POINT, FREE_CUSTOMER_SERVICE, FREE_GROUP_CUSTOMER_SERVICE}>
Default value: []

pricing_types

start
int64

start

Required
tiers
array<string>
Default value: []

tiers

Fields

Reading from this edge will return a JSON formatted result:

{ "data": [], "paging": {} }

data

A list of WABAPricingAnalytics nodes.

paging

For more details about pagination, see the Graph API guide.

Error Codes

ErrorDescription
200008WhatsApp Business Account has no linked phone numbers.
100Invalid parameter
2500Error parsing graph query

Creating

You can't perform this operation on this endpoint.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.